<?php

Class clsusuario{	 

     private $usu_codigo;
	 private $usu_usuario;
	 private $usu_clave;
	 private $usu_estado;
	 private $usu_correo;
	 private $rol_codigo;
	
	 //////////////////////////////   constructores //////////////////////
		
	public function carga_usu_codigo($usu_codigo){
	    	    $this->usu_codigo=$usu_codigo;
	}
	
	public function carga_usu_usuario($usu_usuario){
	    	    $this->usu_usuario=$usu_usuario;
	}
	
	public function carga_usu_clave($usu_clave){
	    	    $this->usu_clave=$usu_clave;
	}
	
	public function carga_usu_estado($usu_estado){
	    	    $this->usu_estado=$usu_estado;
	}
	
	public function carga_usu_correo($usu_correo){
	    	    $this->usu_correo=$usu_correo;
	}
	
	public function carga_rol_codigo($rol_codigo){
	    	    $this->rol_codigo=$rol_codigo;
	}
	
	///////   insertar usuario   //////////////////
	public function usuario_insertar(){  ////// insertar registro a la base de datos
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$this->carga_usu_codigo(0);
			$bd->carga_valores($this->usu_codigo.",'".$this->usu_usuario."',".$this->rol_codigo.",'clave','".$this->usu_correo."',1");
			$bd->carga_campos("usu_codigo,usu_usuario,rol_codigo,usu_clave,usu_correo,usu_estado");
			$id = $bd->insertar("sba_usuarios");
			// echo $id;
			if($id>0) // insertar
			  return $id; 
			  // exito
			else 
			  return 0;  // error
			//$bd->cerrar();  
			
		           
	}
	
	//////   actualizar usuario    ///////////////////
	public function usuario_actualizar(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			
			$parametros ="usu_usuario = '$this->usu_usuario', rol_codigo = $this->rol_codigo, usu_correo = '$this->usu_correo'";
			$bd->carga_valores("usu_codigo = ".$this->usu_codigo);
			$bd->carga_campos($parametros);
			if($bd->actualizar("sba_usuarios"))
			  return 1;
			else 
			  return 0;  
           // $bd->cerrar();
	}
	
	public function usuario_cambio_clave(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			
			$parametros ="usu_clave = '$this->usu_clave'";
			$bd->carga_valores("usu_usuario = '".$this->usu_usuario."'");
			$bd->carga_campos($parametros);
			if($bd->actualizar("sba_usuarios"))
			  return 1;
			else 
			  return 0;  
           // $bd->cerrar();
	}
	
	/////// ELIMINAR usuario
	public function usuario_eliminar(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			
			$parametros ="usu_estado = 0";
			$bd->carga_valores("usu_codigo = ".$this->usu_codigo);
			$bd->carga_campos($parametros);
			if($bd->actualizar("sba_usuarios"))
			  return 1;
			else 
			  return 0;  
	}
	
	//////   seleccionar usuario    ///////////////////
	public function usuario_seleccionar(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$sql = "select usu_codigo, usu_usuario, rol_codigo, usu_correo FROM sba_usuarios WHERE usu_estado = 1 and  usu_codigo = ".$this->usu_codigo;
			$rsprv = $bd->ejecutar($sql);
			
			return $rsprv;
	}
	
	
	
	//////   seleccionar usuario por rol    ///////////////////
	public function usuario_seleccionarrol(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$sql = 'select usu_codigo, usu_usuario, rol_codigo, usu_correo FROM sba_usuarios where usu_estado = 1 and rol_codigo = '.$this->rol_codigo;
			$rsprv = $bd->ejecutar($sql);
			//$bd->cerrar();
			return $rsprv;
	}
	
	//////   seleccionar usuario por clave (ingreso)    ///////////////////
	public function usuario_ingreso($usuario, $clave){
            $bd = new clsbdd;
            $sql = "SELECT usu_codigo,usu_nombre,usu_usuario,usu_rol
                FROM sba_usuarios
                WHERE usu_usuario = '".$bd->escapar($usuario)."'
                AND usu_clave = '".$bd->escapar($clave)."'
                AND usu_estado = 1
                LIMIT 1
            ";
        
            $rs = $bd->ejecutar($sql);
        
            if ($rs && $rs->num_rows == 1) {
                return $rs->fetch_assoc();
            }
        
            return false;}
        	
	//////   seleccionar usuario por clave (ingreso)    ///////////////////
	public function usuario_correo(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$sql = "SELECT sba_usuario.usu_codigo, sba_usuario.usu_usuario, rol_codigo, usu_correo, sba_persona.per_codigo, per_nombre, per_apellido 
			       FROM sba_usuarios 
				   INNER JOIN sba_persona on sba_usuario.usu_codigo = sba_persona.usu_codigo
				   where usu_estado = 1 and usu_usuario = '".$this->usu_usuario."' and usu_correo = '".$this->usu_correo."'";
			$rsprv = $bd->ejecutar($sql);
			//$bd->cerrar();
			return $rsprv;
	}
	
	//////   seleccionar usuario todo    ///////////////////
	public function usuario_seleccionartodo(){
	       	// abro conexión a bases de datos
			$bd= new clsbdd;
			$sql = 'select usu_codigo, usu_usuario, sba_rol.rol_codigo, usu_correo , sba_rol.rol_nombre
			        FROM sba_usuarios 
					INNER JOIN sba_rol on sba_usuario.rol_codigo = sba_rol.rol_codigo
					where usu_estado = 1';
					
			$rsprv = $bd->ejecutar($sql);
			//$bd->cerrar();
			return $rsprv;
	}
	
	/////////////////////////////    fin de usuario      ///////////////////////
}
?>